# Get Venue Room Rates

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getRoomRates`

Return the room rates for the given rate plan and date and optionally provided room ids.

#### Request Body

| Name                                        | Type    | Description                                           |
| ------------------------------------------- | ------- | ----------------------------------------------------- |
| venueId<mark style="color:red;">\*</mark>   | integer | The unique id of the venue to which the room belongs. |
| barId<mark style="color:red;">\*</mark>     | integer | The unique id of the rate plan.                       |
| startDate<mark style="color:red;">\*</mark> | date    | The start date of the rate.                           |
| endDate<mark style="color:red;">\*</mark>   | date    | The end date of the rate.                             |
| roomIds                                     | array   | The room ids to filter the rates.                     |

{% tabs %}
{% tab title="200 " %}

```json
{
    "meta": {
        "totalResults": 4,
        "start": 0,
        "perPage": 4,
        "count": 4
    },
    "results": [
        {
            "barId": 63,
            "roomId": 122,
            "date": "2025-07-06",
            "cost": null,
            "costDouble": null,
            "costTriple": null,
            "costQuad": null
        },
        {
            "barId": 63,
            "roomId": 123,
            "date": "2025-07-06",
            "cost": 50,
            "costDouble": 60,
            "costTriple": 0,
            "costQuad": 80
        },
        {
            "barId": 63,
            "roomId": 122,
            "date": "2025-07-07",
            "cost": null,
            "costDouble": null,
            "costTriple": null,
            "costQuad": null
        },
        {
            "barId": 63,
            "roomId": 123,
            "date": "2025-07-07",
            "cost": 5,
            "costDouble": 6,
            "costTriple": 7,
            "costQuad": 0
        }
    ]
}

```

{% endtab %}
{% endtabs %}

### Date Range Restrictions

* **startDate and endDate**: The maximum date range is 31 days. Past dates are not allowed.

### Returns

A collection object with the following properties in result

| Property   | Data Type | Description                                               |
| ---------- | --------- | --------------------------------------------------------- |
| barId      | integer   | The unique id of the rate plan                            |
| date       | date      | The date of the inventory                                 |
| roomId     | integer   | The unique id of the room                                 |
| cost       | float     | The cost of the room for a given day for single occupancy |
| costDouble | float     | The cost of the room for a given day for two occupants    |
| costTriple | float     | The cost of the room for a given day for three occupants  |
| costQuad   | float     | The cost of the room for a given day for four occupants   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-room-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
